import { asyncDelay, onHomeworkFinish } from "../script/util";
import { MyCocosSceneComponent } from "../script/MyCocosSceneComponent";

const { ccclass, property } = cc._decorator;

@ccclass
export default class SceneComponent extends MyCocosSceneComponent {

    addPreloadImage() {
    }

    addPreloadAudio() {
    }

    addPreloadAnima() {

    }

    async onLoadEnd() {
        // TODO 加载完成后的逻辑写在这里, 下面的代码仅供参考
        this.initView();
        this.initListener();
    }


    initView() {
        this.initBg();
    }

    initBg() {
        const bg1 = cc.find('Canvas/L1/bg');
        bg1.scale = this._mapScaleMax;
        const bg2 = cc.find('Canvas/L2/bg');
        bg2.scale = this._mapScaleMax;
        const bg3 = cc.find('Canvas/L3/bg');
        bg3.scale = this._mapScaleMax;
    }


    initListener() {

    }
}
